---
title: 状态码
sidebar_position: 200
---

import Accordion from '/src/components/Accordion/index.jsx'
import codeString from '!!raw-loader!./code.yaml';

<Accordion contents={ codeString } />


| <b link ="sdkStatusCode">状态码</b>  | 说明 |
| :-- | :-- |
| 10000 | 成功 |
| 50000 | IM 服务未连接 |
| 50001 | 参数错误 |
| 50002 | 加入房间错误，重复加入 RTC 房间内 |
| 50003 | 当前不在房间内 |
| 50004 | MediaServer 未开启 |
| 50006 | RTC Token 无效 |
| 53001 | 底层信令调用错误 |
| 53003 | 创建 Offer 失败 |
| 53004 | 网络请求失败 |
| 53005 | MCU 地址不可为空 |
| 53007 | 直播订阅失败，当前存在已订阅资源 |
| 53008 | 房间已被销毁，需重新加入房间获取 Room 实例 |
| 53009 | 没有可用的音视频服务器地址，一般是没有开通音视频服务导致的 |
| 53010 | 获取用户媒体资源流失败 |
| 53011 | 获取屏幕共享流失败 |
| 53012 | 权限问题导致获取媒体流被拒绝 |
| 53013 | 创建自定义流失败 |
| 53014 | 无效的 TAG 定义 |
| 53015 | IM 连接无效，无法识别当前登录的用户身份 |
| 53016 | 创建文件流失败 |
| 53017 | 无效的 File 实例 |
| 53018 | setRemoteDescription failed |
| 53019 | 浏览器不支持此方法 |
| 53020 | 媒体流无法播放，可能是远端流未订阅或本地流已销毁 |
| 53021 | 视频流播放需时需传参 HTMLVideoElement 作为显示组件 |
| 53022 | 媒体流播放失败 |
| 53023 | 观众加入直播房间信令错误 |
| 53024 | 直播房间切换身份错误 |
| 53025 | 公有云 SDK 包不允许使用私有云环境 |
| 53026 | 单个用户发布资源超过限制 （ MediaServer 限制最多 10 个 track ） |
| 53027 | 房间内无主播推 CDN |
| 53028 | 加入 RTC 房间 joinTYype 为 1 时，当前有其他端在房间时的应答码 |
| 53029 | 设置音频输出设备时，无权限使用请求的设备 |
| 53030 | 方法在 PK 房间上不可用 |
| 53031 | 资源没有全部发成功 |
| 53032 | electron 中 mac 系统暂不支持屏幕共享采集声音 |
| 53033 | 获取媒体资源时，无系统权限 |
| 53034 | 发布时无有效资源，如 track 已被销毁 |
